summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoribrokemypie2017-09-29 17:27:14 +1000
committeribrokemypie2017-09-29 17:27:14 +1000
commit648c8fe1920567104ec2f181484a6dc941783eb6 (patch)
tree903dd80d5410e227db44d3b2deae6fb9e91d0b44
downloadaur-648c8fe1920567104ec2f181484a6dc941783eb6.tar.gz
First commit
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD31
2 files changed, 51 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..bcf663fe573
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = i3lock-next-git
+ pkgdesc = Create a fancy image to use with i3lock.
+ pkgver = 1
+ pkgrel = 1
+ url = https://github.com/owenthewizard/i3lock-next
+ arch = i686
+ arch = x86_64
+ license = MIT
+ makedepends = git
+ depends = i3lock-color-git
+ depends = imlib2
+ depends = bash
+ depends = fontconfig
+ depends = libxrandr
+ provides = i3lock-next
+ source = git+https://github.com/owenthewizard/i3lock-next/
+ sha256sums = SKIP
+
+pkgname = i3lock-next-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..79907cce800
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,31 @@
+# Maintainer: ibrokemypie <ibrokemypie@bastardi.net>
+pkgname=i3lock-next-git
+pkgver=1
+pkgrel=1
+pkgdesc="Create a fancy image to use with i3lock."
+arch=('i686' 'x86_64')
+url="https://github.com/owenthewizard/i3lock-next"
+license=('MIT')
+depends=(i3lock-color-git imlib2 bash fontconfig libxrandr)
+provides=(i3lock-next)
+makedepends=(git)
+source=("git+https://github.com/owenthewizard/i3lock-next/")
+sha256sums=('SKIP')
+_name=i3lock-next
+
+pkgver() {
+ cd "$_name"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$_name"
+ make PREFIX="$pkgdir"
+}
+package() {
+ cd "$_name"
+ make PREFIX="$pkgdir" LIBEXECDIR="$pkgdir"/lib install
+}